Get node pair

Retrieves the details of a node pair identified by the specified GUID.

Required Permissions

Requires the ADMIN role or higher.

HTTP Request

GET /api/sonar/node-pairs/:guid
cURL Example
curl -H "Authorization: Bearer <API_KEY>" \
     https://HOSTNAME/api/sonar/node-pairs/a1b2c3d4-e5f6-7890-abcd-ef1234567890
Request Parameters
Path Parameters
KeyTypeDescriptionNote
guidStringNode pair GUID

Success Response

{
  "node_pair": {
    "guid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "type": "control",
    "name": "main-pair",
    "description": "",
    "is_local": true,
    "is_alive": true,
    "vip_host": "192.0.2.10",
    "vip_port": 8443,
    "active": {
      "nid": "node-1",
      "host": "192.0.2.11",
      "port": 8443,
      "is_alive": true
    },
    "standby": {
      "nid": "node-2",
      "host": "192.0.2.12",
      "port": 8443,
      "is_alive": false
    }
  }
}

Error Responses

guid is missing

HTTP status code 400

{
  "error_code": "null-argument",
  "error_msg": "guid should be not null"
}
guid is not a valid GUID

HTTP status code 400

{
  "error_code": "invalid-param-type",
  "error_msg": "guid should be guid type."
}
Permission denied

HTTP status code 500

{
  "error_code": "illegal-state",
  "error_msg": "no-permission"
}